"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

exports.__esModule = true;
exports.createFlush = createFlush;

var _gatsbyCoreUtils = require("gatsby-core-utils");

var _time = _interopRequireWildcard(require("@turist/time"));

const {
  join
} = require(`path`);

const {
  fork,
  spawnSync
} = require(`child_process`);

function createFlush(isTrackingEnabled) {
  return async function flush() {
    if (!isTrackingEnabled) {
      return;
    }

    if ((0, _gatsbyCoreUtils.isCI)()) {
      spawnSync(process.execPath, [join(__dirname, `send.js`)], {
        execArgv: [],
        timeout: (0, _time.default)(1, _time.TimeUnit.Minute)
      });
      return;
    } // Submit events on background with out blocking the main process
    // nor relying on it's life cycle


    const forked = fork(join(__dirname, `send.js`), {
      detached: true,
      stdio: `ignore`,
      execArgv: []
    });
    forked.unref();
  };
}